Page MenuHomePhabricator

[asan] Add target-specific files for Myriad RTEMS port
ClosedPublic

Authored by waltl on May 4 2018, 1:51 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

waltl created this revision.May 4 2018, 1:51 PM
waltl updated this revision to Diff 145477.May 7 2018, 8:57 AM

Address CR comments from other patches

waltl updated this revision to Diff 145629.May 7 2018, 8:24 PM

Add __sanitizer_early_init() to initialize shadow memory; small
cleanups.

waltl updated this revision to Diff 145855.May 8 2018, 8:43 PM

Update call to AsanThread::Init() to reflect reverted change.

waltl updated this revision to Diff 146440.May 11 2018, 4:40 PM

Initialize kHighMemEnd in InitializeShadowMemory.

waltl updated this revision to Diff 147230.May 16 2018, 8:11 PM

Sync with CR comments from other patches

vitalybuka accepted this revision.May 17 2018, 11:20 AM
This revision is now accepted and ready to land.May 17 2018, 11:20 AM
alekseyshl added inline comments.May 17 2018, 11:37 AM
compiler-rt/lib/asan/asan_rtems.cc
33 ↗(On Diff #147230)

kHighMemEnd = 0 to match the current state of D46456

waltl updated this revision to Diff 147365.May 17 2018, 11:47 AM

Fix kHighMemEnd init and removed a stale comment

waltl marked an inline comment as done.May 17 2018, 11:48 AM
waltl added inline comments.
compiler-rt/lib/asan/asan_rtems.cc
33 ↗(On Diff #147230)

Thanks for catching that; too many repos. :)

waltl updated this revision to Diff 147372.May 17 2018, 12:26 PM
waltl marked an inline comment as done.

Completely move thread restart support to asan_rtems.cc.

This revision was automatically updated to reflect the committed changes.